demo.pairssl.com

This site exists solely to demonstrate compatibility of pairSSL secure certificates. You may visit this page (https://demo.pairssl.com/) with any browser to determine if the certificate works without warnings.

To learn more about the pairSSL secure certificate product offering from pair Networks, Inc, please click here.

The following is a summary of browser versions which are known to work with the pairSSL secure certificates. If you have any additions or corrections to this list, please contact us.

Microsoft Internet Explorer - version 5.01 and later
Netscape Navigator - version 4.5 and later
Opera - version 5.0 and later
Mozilla - version 1.0 and later
Camino - version .7 and later
Firebird/Firefox - version .7 and later
Safari - version 1.0 Beta and later
Konqueror - version 2.0 and later
Google Chrome - version 5.0.342.9 beta

Based on current browser usage statistics, it is believed that this level of compatibility represents more than 99% of all browsers in use today. Your traffic profile or needs may differ. Customers who encounter warnings or problems using newer certificates should be encouraged to upgrade to newer browsers (many older browsers have other limitations, as well as security holes).

back to pair Networks, Inc